program NkCal;

uses NSys, NLib, NForm, MainForm;

{$R *.RES}

var
  Form: TNkCalMainForm;
begin
  AppName := 'NkCal';
  ProfDir := GetEnv('NKTOOLSPROF', '');
  if ProfDir = '' then
    ProfDir := DirName(AbsPath(Argv[0]))
  else
    ProfDir := JoinPath(ProfDir, Lower(AppName));
    
  Form := TNkCalMainForm.Create(AppName, 0, 0, 320, 240);
  try
    SetMainForm(Form);
    LoadFormPos(ProfDir, Form);
    Form.LoadConfig;
    Form.UpdateCalendar;
    Form.Show;
    ExitCode := MessageLoop;
  finally
    Form.Free;
  end;
end.
